.TH "opal_atomic_lock_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
opal_atomic_lock_t \- Volatile lock object (with optional padding).  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <atomic.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "union {"
.br
.ti -1c
.RI "   volatile int \fBlock\fP"
.br
.RI "\fIThe lock address (an integer). \fP"
.ti -1c
.RI "   volatile unsigned char \fBsparc_lock\fP"
.br
.RI "\fIThe lock address on sparc. \fP"
.ti -1c
.RI "   char \fBpadding\fP [sizeof(int)]"
.br
.RI "\fIArray for optional padding. \fP"
.ti -1c
.RI "} \fBu\fP"
.br
.in -1c
.SH "Detailed Description"
.PP 
Volatile lock object (with optional padding). 

\fBNote:\fP
.RS 4
The internals of the lock are included here, but should be considered private. The implementation currently in use may choose to use an int or unsigned char as the lock value - the user is not informed either way. 
.RE
.PP

.PP


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
